package cmd

import (
	"github.com/spf13/cobra"
	"yizhisec.com/hsv2/forge/internal/controller/maker"
)

func makeDebs() *cobra.Command {
	cmd := &cobra.Command{
		Use:     "debs",
		Aliases: []string{"deb"},
		Short:   "Build Debian packages",
		Long:    `Build all required Debian packages for the project.`,
		RunE: func(cmd *cobra.Command, args []string) error {
			mk := maker.NewMaker()
			return mk.Deb(cmd.Context())
		},
	}

	return cmd
}
